/*
 * View model for OctoPrint-Chambertemp
 *
 * Author: linuxpaul
 * License: AGPLv3
 */
$(function() {
    function ChambertempViewModel(parameters) {
        var self = this;

        self.settings = parameters[0];
        self.chaTemp = ko.observable(null);
		self.isSupported = ko.observable(false);
        //hassoc should be taken care of in the python source before it gets this far
        self.isOK = ko.pureComputed(function() {
            return self.isSupported;
        });

        self.onDataUpdaterPluginMessage = function(plugin,data) {
            if (plugin != "chambertemp") {
                return;
            }
            else {
				self.isOK(data.isOK)
                self.chaTemp(_.sprintf("Chamber: %s&deg;C&nbsp;", data.chatemp));
            }
        };

    }

    /* view model class, parameters for constructor, container to bind to
     * Please see http://docs.octoprint.org/en/master/plugins/viewmodels.html#registering-custom-viewmodels for more details
     * and a full list of the available options.
     */
    OCTOPRINT_VIEWMODELS.push({
        construct: ChambertempViewModel,
        // ViewModels your plugin depends on, e.g. loginStateViewModel, settingsViewModel, ...
        dependencies: ["settingsViewModel"],
        // Elements to bind to, e.g. #settings_plugin_chambertemp, #tab_plugin_chambertemp, ...
        elements: ["#navbar_plugin_chambertemp"]
    });
});
